#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDropEvent>
#include <QDragEnterEvent>
#include <QProcess>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

protected:
    void dropEvent(QDropEvent *);
    void dragEnterEvent(QDragEnterEvent *);

public slots:
    void onProcessExit(int, QProcess::ExitStatus);

private:
    Ui::MainWindow *ui;

    QProcess xpdf;
};
#endif // MAINWINDOW_H
